{-----------------------------------------------------------------------------
 Unit Name: uAppointment
 Author:    Rob Bracken
 Purpose:   Appointment object
 History:
-----------------------------------------------------------------------------}


unit uAppointment;

interface

type

  TAppointment = class(TObject)
  private

    FWhen: TDateTime;
    FWho: string;
    FWithWhom: string;
    FHowLong: TDateTime;

  public

    function AsString: string;

    property When: TDateTime
      read FWhen
      write FWhen;

    property Who: string
      read FWho
      write FWho;

    property WithWhom: string
      read FWithWhom
      write FWithWhom;

    property HowLong: TDateTime
      read FHowLong
      write FHowLong;

  end;

implementation

uses
  sysutils
  ;

{ TAppointment }

function TAppointment.AsString: string;
begin
  // Return the appointment's details in a formatted string
  Result := Who + #9 + WithWhom + #9 + FormatDateTime('dd mmmm hh:mm', When);
  Result := Result + #9 + FormatDateTime('hh:mm', HowLong);
end;

end.
